Package com.io7m.cedarbridge.runtime.api

# Class CBMapEntrySerializers<K extends CBSerializableType,V extends CBSerializableType>

java.lang.Object
com.io7m.cedarbridge.runtime.api.CBAbstractSerializerFactory<CBMapEntry<K,V>>
com.io7m.cedarbridge.runtime.api.CBMapEntrySerializers<K,V>

Type Parameters:
  `K` - The type of keys
  `V` - The type of values

All Implemented Interfaces:
  `CBSerializerFactoryType<CBMapEntry<K,V>>`

public final class CBMapEntrySerializers<K extends CBSerializableType,V extends CBSerializableType> extends CBAbstractSerializerFactory<CBMapEntry<K,V>>
A factory of map entry serializers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBMapEntrySerializers()`
  A factory of map entry serializers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected CBSerializerType<CBMapEntry<K,V>>`
  `createActual(CBSerializerDirectoryType directory, List<CBTypeArgument> arguments)`
  `List<String>`
  `typeParameters()`
  Declare the parameters of the type.

  ### Methods inherited from class com.io7m.cedarbridge.runtime.api.CBAbstractSerializerFactory

  `create, typeName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CBMapEntrySerializers

    public CBMapEntrySerializers()
    A factory of map entry serializers.

- ## Method Details

  - ### createActual

    protected CBSerializerType<CBMapEntry<K,V>> createActual(CBSerializerDirectoryType directory, List<CBTypeArgument> arguments)
    Specified by:
      `createActual` in class `CBAbstractSerializerFactory<CBMapEntry<K extends CBSerializableType,V extends CBSerializableType>>`

  - ### typeParameters

    public List<String> typeParameters()
    Description copied from interface: `CBSerializerFactoryType`
    Declare the parameters of the type. The names must be valid Cedarbridge type parameter names.
    Returns:
      The parameters of the type, in declaration order